<!-- niByLog.Stat plugin -->
<?php
// niByLog.Stat plugin 1.5.0 (c) MiMaS 2001-2003

/***config*start*****************************/
// mozna zmieniac ustawienia od tej linii az do ***config*end***

// pokazywac informacje dotyczace komentarzy? [1 = tak, 0 = nie]
$show_komentator = 1;

// pokazywac informacje dotyczace kategorii wpisow? [1 = tak, 0 = nie]
// dla wersji niByLoga 1.6.5 i wyej
$show_kategorie  = 1;

// sciezka do strony bloga
$blog_url = $niByLog_dir.$config["cfg_blog_url"];

// czasami przy bardziej skomplikowanej strukturze URLi na blogu konieczna jest
// inna wartosc; podany tu adres powinien umozliwiac obsluzenie parametrow
// niByLoga - ?id=..., ?user=..., ?kategoria=... itp.
// np.  $blog_url = '/blog/index.php';

// grubosc linii tabeli (w pikselach)
$table_border = 1;

// sciezka do pliku tworzacego slupki wykresow (nibylogstat_pasek.gif)
$pasek_img = $niByLog_dir.'plugins/nibylogstat_pasek.gif';

// czasami jezeli dostep do katalogu z pluginami jest ograniczony (np. jezeli
// katalog ten jest zabezpieczony przez http authentication) nalezy zefiniowac
// inna sciezke dla tego obrazka
// np.  $pasek_img = '/img/nibylogstat_pasek.gif';


// przykladowe style inline dla schematu szarawego
$styl_td_ramka     = 'style="background: #aaaaaa;"';
$styl_td_header    = 'style="background-color: #cccccc; font-family: Verdana, Arial; font-size: 8pt;"';
$styl_td_subheader = 'style="background-color: #dddddd; font-family: Verdana, Arial; font-size: 8pt;"';
$styl_td_normal    = 'style="background-color: #eeeeee; font-family: Verdana, Arial; font-size: 8pt;"';
$styl_div_info     = 'style="color: #aaaaaa; font-family: Verdana, Arial; font-size: 8pt;"';
$styl_a            = 'style="color: #6666ee; font-family: Verdana, Arial; font-size: 8pt; text-decoration: none; border-bottom: 0px;"';
$styl_h            = 'style="font-family: Verdana, Arial; font-size: 10pt;"';

// style moga tez byc okreslone przez klasy, ktore naley zdefiniowac w css strony bloga
/* np.
$styl_td_ramka     = 'class="statramka"';
$styl_td_header    = 'class="statheader"';
$styl_td_subheader = 'class="statsubheader"';
$styl_td_normal    = 'class="statnormal"';
$styl_div_info     = 'class="statinfo"';
$styl_a            = 'class="stata"';
$styl_h            = 'class="stath"';
*/

// przykladowe style inline dla schematu brazowo-zielonego
/*
$styl_td_ramka     = 'style="background: #807050;"';
$styl_td_header    = 'style="background-color: #bfaf90; font-family: Verdana, Arial; font-size: 8pt;"';
$styl_td_subheader = 'style="background-color: #e5dcc5; font-family: Verdana, Arial; font-size: 8pt;"';
$styl_td_normal    = 'style="background-color: #f7efd7; font-family: Verdana, Arial; font-size: 8pt;"';
$styl_div_info     = 'style="color: #807050; font-family: Verdana, Arial; font-size: 8pt;"';
$styl_a            = 'style="font-family: Verdana, Arial; font-size: 8pt;"';
$styl_h            = 'style="font-family: Verdana, Arial; font-size: 10pt;"';
$pasek_img         = '$niByLog_dir.'plugins/nibylogstat_pasek_zielony.gif';
*/

/***config*end*****************************/

/***the*story*so*far***********************

1.5.0 (2003-04-05)
[+] nowa zmienna $blog_url
[*] nie jest wyswietlana informacja o najbardziej komentowanym wpisie jezeli nie ma komentarzy w ogole
[*] zmiana znaczenia zmiennych $styl_... - moga zawierac "style =" lub "class =" lub "id =" jak wolisz

1.4.0 (2002-09-30)
[+] kategorie wpisow - niByLog 1.6.5+
[*] zmiana HTML na XHTML

1.3.1 (2002-06-03)
[+] mozliwosc ustalenia grubosci linii generowanych tabel

1.3.0 (2001-09-29)
[!] wszystko co doprowadzilo do tej wersji...

******************************************/

// about:plugin

$plugin_nazwa = 'niByLog.stat';
$plugin_numer = '1.5.0';
$plugin_autor = 'MiMaS';
$plugin_email = 'plugins@mimas.ceti.pl';
$plugin_www   = 'http://mimas.ceti.pl/plugins/';
$plugin_opis  = 'Plugin generujcy szczegowe statystyki wpisw niByLoga.';


set_time_limit(0);
$starttime = time();

$blog = CzytajWpisy('ADMIN','nibylog');
$blog_count = count($blog);
if ( $blog[$blog_count] == "" ) $blog_count--;

$ilosc_dni = floor(($blog[$blog_count]-$blog[0])/86400);
$ilosc_wpisow = $blog_count+1;

if ( count( split( "\t", $blog[0] ) ) <= 5 )
{         // poniej wersji 1.6.5: 0- id, 1- user, 2- temat, 3- tresc
  $wpis_pos['id'] = 0;
  $wpis_pos['user'] = 1;
  $wpis_pos['temat'] = 2;
  $wpis_pos['tresc'] = 3;
  $show_kategorie = 0;
} else {  // powyzej wersji 1.6.5: 0- id, 1- kategorie, 2- user, 3- temat, 4- tresc
  $wpis_pos['id'] = 0;
  $wpis_pos['kategorie'] = 1;
  $wpis_pos['user'] = 2;
  $wpis_pos['temat'] = 3;
  $wpis_pos['tresc'] = 4;
}
?>

<div id="nibylogstat">
<div align="center">

<h1 <?php echo( $styl_h ); ?>>statystyka wpisw</h1>
<div <?php echo( $styl_div_info ); ?> align="center"><a <?php echo( $styl_div_info ); ?> href="http://mimas.ceti.pl/plugins/" target="_blank">niByLog.Stat plugin <?php echo( $plugin_numer ); ?> &copy; MiMaS</a></div>

<br /><br />

<?php
$dzien = array( 0,0,0,0,0,0,0 );   // "0" (Sunday) - "6" (Saturday)
$godzina = array( 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0 );
$miesiac = array( date("Y.m",time())=>0 );
$aktywny_user = array( "ADMIN"=>0 );
$najdluzszy = array( "dlugosc"=>0, "data"=>0, "user"=>"&nbsp;" );
$najkrotszy = array( "dlugosc"=>-1, "data"=>0, "user"=>"&nbsp;" );
$komentowany = array( "liczba"=>0, "data"=>0, "user"=>"&nbsp;" );
$kategoria = array( "brak"=>0 );
$suma_dlugosci = 0;
$liczba_komentarzy = 0;

$trans_entities = array_flip(get_html_translation_table(HTML_ENTITIES));

for ( $i = 0; $i <= $blog_count; $i++ )
{
  $wpis = split( "\t", $blog[$i] );

  $dzien[date("w",$wpis[$wpis_pos["id"]])]++;
  $godzina[date("G",$wpis[$wpis_pos["id"]])]++;
  $miesiac[date("Y.m",$wpis[$wpis_pos["id"]])]++;
  $aktywny_user[strtoupper($wpis[$wpis_pos["user"]])]++;
  $kategoria[$wpis[$wpis_pos["kategorie"]]]++;

  $txt = strip_tags($wpis[$wpis_pos["tresc"]]); // dlugosc zliczana bez tagw HTML i PHP
  $txt = stripslashes($txt);                    // bez dodatkowych backslash'y
  $txt = strtr($txt, $trans_entities);          // i bez html entities

  $len = strlen($txt);

  $suma_dlugosci += $len;
  if ( $len > $najdluzszy["dlugosc"] )
  {
    $najdluzszy["dlugosc"] = $len;
    $najdluzszy["data"] = $wpis[$wpis_pos["id"]];
    $najdluzszy["user"] = strtoupper($wpis[$wpis_pos["user"]]);
  }
  if ( ($len < $najkrotszy["dlugosc"]) || ($najkrotszy["dlugosc"] < 0) )
  {
    $najkrotszy["dlugosc"] = $len;
    $najkrotszy["data"] = $wpis[$wpis_pos["id"]];
    $najkrotszy["user"] = strtoupper($wpis[$wpis_pos["user"]]);
  }
  if ( $show_komentator )
  {
    $lk = file_exists($niByLog_data_folder."/comments/".$wpis[$wpis_pos["id"]])?sizeof(file($niByLog_data_folder."/comments/".$wpis[$wpis_pos["id"]])):0;
    $liczba_komentarzy += $lk;
    if ( $lk > $komentowany["liczba"] )
    {
      $komentowany["liczba"] = $lk;
      $komentowany["data"] = $wpis[$wpis_pos["id"]];
      $komentowany["user"] = strtoupper($wpis[$wpis_pos["user"]]);
    }
  }
}
?>

<table border="0" cellspacing="0" cellpadding="0" width="370"><tr><td <?php print $styl_td_ramka; ?>>
<table border="0" cellspacing="<?php echo($table_border); ?>" cellpadding="1" width="100%">
<tr><td rowspan="2" <?php print $styl_td_header; ?> width="1%">&nbsp;niByLog&nbsp;</td>
<td <?php print $styl_td_subheader; ?> width="1%">&nbsp;wersja&nbsp;</td><td <?php print $styl_td_normal; ?> width="98%">&nbsp; <?php echo( $niByLog_version ); ?> &nbsp;</td></tr>
<tr><td <?php print $styl_td_subheader; ?> width="1%">&nbsp;data&nbsp;</td><td <?php print $styl_td_normal; ?> width="98%">&nbsp; <?php echo( $niByLog_date ); ?> &nbsp;</td></tr>
<tr><td rowspan="2" <?php print $styl_td_header; ?> width="1%">&nbsp;wpis&nbsp;</td>
<td <?php print $styl_td_subheader; ?> width="1%">&nbsp;pierwszy&nbsp;</td><td <?php print $styl_td_normal; ?> width="98%">&nbsp; <?php echo( date("Y.m.d H:i", $blog[0]) ); ?> &nbsp;</td></tr>
<tr><td <?php print $styl_td_subheader; ?> width="1%">&nbsp;ostatni&nbsp;</td><td <?php print $styl_td_normal; ?> width="98%">&nbsp; <?php echo( date("Y.m.d H:i", $blog[$blog_count]) ); ?> &nbsp;</td></tr>
<tr><td rowspan="<?php echo( $show_komentator?"4":"3" ); ?>" <?php print $styl_td_header; ?> width="1%">&nbsp;cznie&nbsp;</td>
<td <?php print $styl_td_subheader; ?> width="1%">&nbsp;dni&nbsp;</td><td <?php print $styl_td_normal; ?> width="98%">&nbsp; <?php echo( $ilosc_dni ); ?> &nbsp;</td></tr>
<tr><td <?php print $styl_td_subheader; ?> width="1%">&nbsp;wpisw&nbsp;</td><td <?php print $styl_td_normal; ?> width="98%">&nbsp; <?php echo( $ilosc_wpisow ); ?> &nbsp;</td></tr>
<tr><td <?php print $styl_td_subheader; ?> width="1%">&nbsp;znakw&nbsp;</td><td <?php print $styl_td_normal; ?> width="98%">&nbsp; <?php echo( $suma_dlugosci ); ?> &nbsp;</td></tr>
<?php
if ( $show_komentator )
{
  echo( '<tr><td '.$styl_td_subheader.' width="1%">&nbsp;komentarzy&nbsp;</td><td '.$styl_td_normal.' width="98%">&nbsp; '.$liczba_komentarzy." &nbsp;</td></tr>\n" );
}
?>
<tr><td rowspan="<?php echo( $show_komentator?"3":"2" ); ?>" <?php print $styl_td_header; ?> width="1%">&nbsp;rednio&nbsp;</td>
<td <?php print $styl_td_subheader; ?> width="1%">&nbsp;wpisw/dzie&nbsp;</td><td <?php print $styl_td_normal; ?> width="98%">&nbsp; <?php echo( round($ilosc_wpisow/$ilosc_dni,2) ); ?> &nbsp;</td></tr>
<tr><td <?php print $styl_td_subheader; ?> width="1%">&nbsp;znakw/wpis&nbsp;</td><td <?php print $styl_td_normal; ?> width="98%">&nbsp; <?php echo( round($suma_dlugosci/$ilosc_wpisow,2) ); ?> &nbsp;</td></tr>
<?php
if ( $show_komentator )
{
  echo( '<tr><td '.$styl_td_subheader.' width="1%">&nbsp;komentarzy/wpis&nbsp;</td><td '.$styl_td_normal.' width="98%">&nbsp; '.round($liczba_komentarzy/$ilosc_wpisow,2)." &nbsp;</td></tr>\n" );
}
?>
<tr><td rowspan="3" <?php print $styl_td_header; ?> width="1%">&nbsp;najduszy&nbsp;&nbsp;<br />&nbsp;wpis</td>
<td <?php print $styl_td_subheader; ?> width="1%">&nbsp;data</td><td <?php print $styl_td_normal; ?> width="98%">&nbsp; <a <?php print $styl_a; ?> href="<?php echo( $blog_url."?id=".$najdluzszy["data"] ); ?>"><?php echo( date("Y.m.d H:i",$najdluzszy["data"]) ); ?></a></td></tr>
<tr><td <?php print $styl_td_subheader; ?> width="1%">&nbsp;znakw&nbsp;&nbsp;</td><td <?php print $styl_td_normal; ?> width="98%">&nbsp; <?php echo( $najdluzszy["dlugosc"] ); ?></td></tr>
<tr><td <?php print $styl_td_subheader; ?> width="1%">&nbsp;uytkownik&nbsp;&nbsp;</td><td <?php print $styl_td_normal; ?> width="98%">&nbsp; <?php echo( WstawPodpis($najdluzszy["user"],$config["cfg_podpis"],$config["cfg_podpis_email"]) ); ?></td></tr>
<tr><td rowspan="3" <?php print $styl_td_header; ?> width="1%">&nbsp;najkrtszy&nbsp;&nbsp;<br />&nbsp;wpis</td>
<td <?php print $styl_td_subheader; ?> width="1%">&nbsp;data</td><td <?php print $styl_td_normal; ?> width="98%">&nbsp; <a <?php print $styl_a; ?> href="<?php echo( $blog_url."?id=".$najkrotszy["data"] ); ?>"><?php echo( date("Y.m.d H:i",$najkrotszy["data"]) ); ?></a></td></tr>
<tr><td <?php print $styl_td_subheader; ?> width="1%">&nbsp;znakw&nbsp;&nbsp;</td><td <?php print $styl_td_normal; ?> width="98%">&nbsp; <?php echo( $najkrotszy["dlugosc"] ); ?></td></tr>
<tr><td <?php print $styl_td_subheader; ?> width="1%">&nbsp;uytkownik&nbsp;&nbsp;</td><td <?php print $styl_td_normal; ?> width="98%">&nbsp; <?php echo( WstawPodpis($najkrotszy["user"],$config["cfg_podpis"],$config["cfg_podpis_email"]) ); ?></td></tr>
<?php
if ( $show_komentator && ($komentowany["liczba"] > 0) )
{ 
  echo( '<tr><td rowspan="3" '.$styl_td_header.' width="1%">&nbsp;najbardziej&nbsp;&nbsp;<br />&nbsp;komentowany&nbsp;<br />&nbsp;wpis</td>'."\n" );
  echo( '<td '.$styl_td_subheader.' width="1%">&nbsp;data</td><td '.$styl_td_normal.' width="98%">&nbsp; <a '.$styl_a.' href="'.$blog_url.'?id='.$komentowany["data"].'">'.date("Y.m.d H:i",$komentowany["data"])."</a></td></tr>\n" );
  echo( '<tr><td '.$styl_td_subheader.' width="1%">&nbsp;uytkownik&nbsp;&nbsp;</td><td '.$styl_td_normal.' width="98%">&nbsp; '.wstawpodpis($komentowany["user"],$config["cfg_podpis"],$config["cfg_podpis_email"])."</td></tr>\n" );
  echo( '<tr><td '.$styl_td_subheader.' width="1%">&nbsp;komentarzy&nbsp;&nbsp;</td><td '.$styl_td_normal.' width="98%">&nbsp; <a '.$styl_a.' href="'.$blog_url.'?plug=komentator&amp;id='.$komentowany["data"].'">'.$komentowany["liczba"]."</a></td></tr>\n" );
}
?>
</table>
</td></tr></table>

<br />

<table border="0" cellspacing="0" cellpadding="0" width="400"><tr><td <?php print $styl_td_ramka; ?>>
<table border="0" cellspacing="<?php echo($table_border); ?>" cellpadding="1" width="100%">
<tr><td <?php print $styl_td_header; ?> width="80">&nbsp;miesic</td><td <?php print $styl_td_header; ?> width="80">&nbsp;liczba&nbsp;wpisw</td><td <?php print $styl_td_header; ?> width="190">&nbsp;</td></tr>
<?php
$skala = 195/max($miesiac);
ksort( $miesiac ); 
reset( $miesiac );
do {
  $u = key($miesiac);
  echo( '<tr><td '.$styl_td_subheader.' align="center">'.$u.'</td><td '.$styl_td_normal.'>&nbsp;&nbsp;'.sprintf("%03d",current($miesiac)).'&nbsp;&nbsp;('.sprintf("%02.2f",round(current($miesiac)*100/$ilosc_wpisow,2)).'%)</td>' );
  echo( '<td '.$styl_td_normal.'><img src="'.$pasek_img.'" width="'.sprintf("%d", round( current($miesiac)*$skala, 2)+1).'" height="7" alt="'.sprintf("%d", round( current($miesiac)*$skala, 2)+1).'" /></td></tr>'."\n" );
} while ( next( $miesiac ) );
?>
</table>
</td></tr></table>

<br />

<?php
$skala = 195/max($dzien);
?>
<table border="0" cellspacing="0" cellpadding="0" width="400"><tr><td <?php print $styl_td_ramka; ?>>
<table border="0" cellspacing="<?php echo($table_border); ?>" cellpadding="1" width="100%">
<tr><td <?php print $styl_td_header; ?> width="80">&nbsp;dzie</td><td <?php print $styl_td_header; ?> width="80">&nbsp;liczba&nbsp;wpisw</td><td <?php print $styl_td_header; ?> width="190">&nbsp;</td></tr>
<tr><td <?php print $styl_td_subheader; ?> width="80">&nbsp;poniedziaek </td><td <?php print $styl_td_normal; ?> width="80">&nbsp;&nbsp;<?php echo( sprintf("%03d",$dzien[1]) ); ?>&nbsp;&nbsp;(<?php echo( sprintf("%02.2f",round($dzien[1]*100/$ilosc_wpisow,2)) ) ?>%)</td><td <?php print $styl_td_normal; ?>><img src="<?php echo($pasek_img); ?>" width="<?php echo( sprintf("%d",round( $dzien[1]*$skala, 2 )+1) ); ?>" height="7" alt="<?php echo( sprintf("%d",round( $dzien[1]*$skala, 2 )+1) ); ?>" /></td></tr>
<tr><td <?php print $styl_td_subheader; ?> width="80">&nbsp;wtorek       </td><td <?php print $styl_td_normal; ?> width="80">&nbsp;&nbsp;<?php echo( sprintf("%03d",$dzien[2]) ); ?>&nbsp;&nbsp;(<?php echo( sprintf("%02.2f",round($dzien[2]*100/$ilosc_wpisow,2)) ) ?>%)</td><td <?php print $styl_td_normal; ?>><img src="<?php echo($pasek_img); ?>" width="<?php echo( sprintf("%d",round( $dzien[2]*$skala, 2 )+1) ); ?>" height="7" alt="<?php echo( sprintf("%d",round( $dzien[2]*$skala, 2 )+1) ); ?>" /></td></tr>
<tr><td <?php print $styl_td_subheader; ?> width="80">&nbsp;roda        </td><td <?php print $styl_td_normal; ?> width="80">&nbsp;&nbsp;<?php echo( sprintf("%03d",$dzien[3]) ); ?>&nbsp;&nbsp;(<?php echo( sprintf("%02.2f",round($dzien[3]*100/$ilosc_wpisow,2)) ) ?>%)</td><td <?php print $styl_td_normal; ?>><img src="<?php echo($pasek_img); ?>" width="<?php echo( sprintf("%d",round( $dzien[3]*$skala, 2 )+1) ); ?>" height="7" alt="<?php echo( sprintf("%d",round( $dzien[3]*$skala, 2 )+1) ); ?>" /></td></tr>
<tr><td <?php print $styl_td_subheader; ?> width="80">&nbsp;czwartek     </td><td <?php print $styl_td_normal; ?> width="80">&nbsp;&nbsp;<?php echo( sprintf("%03d",$dzien[4]) ); ?>&nbsp;&nbsp;(<?php echo( sprintf("%02.2f",round($dzien[4]*100/$ilosc_wpisow,2)) ) ?>%)</td><td <?php print $styl_td_normal; ?>><img src="<?php echo($pasek_img); ?>" width="<?php echo( sprintf("%d",round( $dzien[4]*$skala, 2 )+1) ); ?>" height="7" alt="<?php echo( sprintf("%d",round( $dzien[4]*$skala, 2 )+1) ); ?>" /></td></tr>
<tr><td <?php print $styl_td_subheader; ?> width="80">&nbsp;pitek       </td><td <?php print $styl_td_normal; ?> width="80">&nbsp;&nbsp;<?php echo( sprintf("%03d",$dzien[5]) ); ?>&nbsp;&nbsp;(<?php echo( sprintf("%02.2f",round($dzien[5]*100/$ilosc_wpisow,2)) ) ?>%)</td><td <?php print $styl_td_normal; ?>><img src="<?php echo($pasek_img); ?>" width="<?php echo( sprintf("%d",round( $dzien[5]*$skala, 2 )+1) ); ?>" height="7" alt="<?php echo( sprintf("%d",round( $dzien[5]*$skala, 2 )+1) ); ?>" /></td></tr>
<tr><td <?php print $styl_td_subheader; ?> width="80">&nbsp;sobota       </td><td <?php print $styl_td_normal; ?> width="80">&nbsp;&nbsp;<?php echo( sprintf("%03d",$dzien[6]) ); ?>&nbsp;&nbsp;(<?php echo( sprintf("%02.2f",round($dzien[6]*100/$ilosc_wpisow,2)) ) ?>%)</td><td <?php print $styl_td_normal; ?>><img src="<?php echo($pasek_img); ?>" width="<?php echo( sprintf("%d",round( $dzien[6]*$skala, 2 )+1) ); ?>" height="7" alt="<?php echo( sprintf("%d",round( $dzien[6]*$skala, 2 )+1) ); ?>" /></td></tr>
<tr><td <?php print $styl_td_subheader; ?> width="80">&nbsp;niedziela    </td><td <?php print $styl_td_normal; ?> width="80">&nbsp;&nbsp;<?php echo( sprintf("%03d",$dzien[0]) ); ?>&nbsp;&nbsp;(<?php echo( sprintf("%02.2f",round($dzien[0]*100/$ilosc_wpisow,2)) ) ?>%)</td><td <?php print $styl_td_normal; ?>><img src="<?php echo($pasek_img); ?>" width="<?php echo( sprintf("%d",round( $dzien[0]*$skala, 2 )+1) ); ?>" height="7" alt="<?php echo( sprintf("%d",round( $dzien[0]*$skala, 2 )+1) ); ?>" /></td></tr>
</table>
</td></tr></table>

<br />

<table border="0" cellspacing="0" cellpadding="0" width="400"><tr><td <?php print $styl_td_ramka; ?>>
<table border="0" cellspacing="<?php echo($table_border); ?>" cellpadding="1" width="100%">
<tr><td <?php print $styl_td_header; ?> width="80">&nbsp;godzina</td><td <?php print $styl_td_header; ?> width="80">&nbsp;liczba&nbsp;wpisw</td><td <?php print $styl_td_header; ?> width="190">&nbsp;</td></tr>
<?php
$skala = 195/max($godzina);
for ( $i = 0; $i < 24; $i++ ) {
  echo( '<tr><td '.$styl_td_subheader.' align="center">'.sprintf("%02d",$i).'</td><td '.$styl_td_normal.'>&nbsp;&nbsp;'.sprintf("%03d",$godzina[$i]).'&nbsp;&nbsp;('.sprintf("%02.2f",round($godzina[$i]*100/$ilosc_wpisow,2)).'%)</td>' );
  echo( '<td '.$styl_td_normal.'><img src="'.$pasek_img.'" width="'.sprintf("%d", round( $godzina[$i]*$skala, 2)+1).'" height="7" alt="'.sprintf("%d", round( $godzina[$i]*$skala, 2)+1).'" /></td></tr>'."\n" );
}
?>
</table>
</td></tr></table>

<br />

<table border="0" cellspacing="0" cellpadding="0" width="400"><tr><td <?php print $styl_td_ramka; ?>>
<table border="0" cellspacing="<?php echo($table_border); ?>" cellpadding="1" width="100%">
<tr><td <?php print $styl_td_header; ?> width="99%">&nbsp;uytkownik</td><td <?php print $styl_td_header; ?> width="1%">&nbsp;liczba&nbsp;wpisw</td></tr>
<?php
arsort( $aktywny_user );  // najaktywniejszy na pocztku
reset( $aktywny_user );
do {
  $u = CzytajUzytkownika( key($aktywny_user) );
  echo( '<tr><td '.$styl_td_subheader.'>&nbsp; <a '.$styl_a.' href="'.$blog_url.'?user='.key($aktywny_user).'">'.WstawPodpis(key($aktywny_user),$config["cfg_podpis"],0).'</a></td>' );
  echo( '<td '.$styl_td_normal.'>&nbsp;&nbsp;'.sprintf("%03d",current($aktywny_user)).'&nbsp;&nbsp;('.sprintf("%02.2f",round(current($aktywny_user)*100/$ilosc_wpisow,2)).'%)&nbsp;&nbsp;</td></tr>'."\n" );
} while ( next( $aktywny_user ) );
?>
</table>
</td></tr></table>

<br />
<?php if ( $show_kategorie && function_exists('CzytajKategorie') ) { ?>

<table border="0" cellspacing="0" cellpadding="0" width="400"><tr><td <?php print $styl_td_ramka; ?>>
<table border="0" cellspacing="<?php echo($table_border); ?>" cellpadding="1" width="100%">
<tr><td <?php print $styl_td_header; ?> width="99%">&nbsp;kategoria</td><td <?php print $styl_td_header; ?> width="1%">&nbsp;liczba&nbsp;wpisw</td></tr>
<?php
arsort( $kategoria );  // najliczniejsza na poczatku
reset( $kategoria );
$nazwa_kategorii = CzytajKategorie();
do {
  echo( '<tr><td '.$styl_td_subheader.'>&nbsp; <a '.$styl_a.' href="'.$blog_url.'?kategoria='.key($kategoria).'">'.$nazwa_kategorii[key($kategoria)].'</a></td>' );
  echo( '<td '.$styl_td_normal.'>&nbsp;&nbsp;'.sprintf("%03d",current($kategoria)).'&nbsp;&nbsp;('.sprintf("%02.2f",round(current($kategoria)*100/$ilosc_wpisow,2)).'%)&nbsp;&nbsp;</td></tr>'."\n" );
} while ( next( $kategoria ) );
?>
</table>
</td></tr></table>

<br />

<?php } ?>

<div <?php print $styl_div_info; ?>>czas generowania: <?php echo( time()-$starttime ); ?> sek</div>

</div>
</div>

<!-- niByLog.Stat plugin -->
